[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'BufDataset' (#fcl)

# TRecUpdateBuffer

Implements a buffer used for record updates in TBufDataset

## Declaration

Source position: bufdataset.pas line 80

`type TRecUpdateBuffer = record`
`UpdateKind: TUpdateKind;` |  | Update kind for the record update buffer
`BookmarkData: TBufBookmark;` |  | Bookmark data for the record update buffer
`NextBookmarkData: TBufBookmark;` |  | Bookmark for the record following a deleted record
`OldValuesBuffer: TRecordBuffer;` |  | Buffer for pre-editing values for the record
`end;`